UPGRADEPKG(8)

ИМЕ
upgradepkg - apgrejduje Slekver pakete.

СИНТАКСА
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] newpackagename [newpackagename2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] oldpackagename%newpackagename [old2%new2]

ОПИС
upgradepkg apgrejduje Slekver pakete sa starije verzije na noviju verziju. To radi INSTALLING novih paketa na sistemu, a onda REMOVING svih fajlova iz starog paketa koji nisu u novom paketu. Ako stari i novi paket imaju isto ime, jedan argument je sve što je potrebno. Ako paketi imaju različita imena, dodajte imenu starog paketa simbol za procenat (%), a zatim ime novog paketa. Nemojte dodavati nikakav dodatni slobodan prostor između parova starog/novog imena paketa. Ako upgradepkg pronađe više od jednog instaliranog paketa koji se podudara sa starim paketom po nazivu, ukloniće ih sve.

Da bi apgrejdovali u direktorijumu koji nije / (kao što je /mnt):

ROOT=/mnt upgradepkg package.tgz (or .tbz, .tlz, .txz)

ОПЦИЈЕ

--dry-run
    Izbaci izveštaj o tome koji će paketi biti instalirani ili apgrejdovani ali nemoj zaista pokretati apgrejd.

--install-new
    Normalno upgradepkg apgrejduje samo one pakete koji su instalirani na sistemu, i preskočiće sve pakete koji već nemaju instaliranu verziju. Ako je --install-new preciziran, ponašanje je modifikovano da instalira nove pakete uz apgrejdovanje postojećih.

--reinstall
    Upgradepkg obično preskače pakete ako je isti takav paket (isto ime, verzija, platforma i broj) već instaliran na sistemu. Koristi --reinstall opciju ako želiš da apgrejduješ sve pakete čak i ako je ista verzija već instalirana.

--verbose
    Prikaži sve detalje apgrejda.

ГРЕШКЕ
Pre apgrejdovanja paketa, sačuvajte sve konfiguracione fajlove (kao one u /etc) koje želite da sačuvate. Nekada će oni i biti sačuvani, ali to zavisi od strukture samog paketa. Ako želite da prisilite da nove verzije konfiguracionih fajlova budu instalirane, uklonite stare manuelno pre pokretanja komande upgradepkg.

АУТОР
Patrick J. Volkerding <volkerdi@slackware.com>

ТАКОЂЕ ПОГЛЕДАЈ
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)